<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:g="http://www.ihe.net/gazelle">
    <!--  requires param
          - patient (net.ihe.gazelle.simulator.pam.model.Patient)
          - renderHistory (boolean) : indicates whether or not the Patient History tab containing the patient relations is shown
          - renderZFD (boolean)
          - zfp (boolean)-->
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="#demo" aria-controls="demo" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.DemographicInformations']}</a>
        </li>
        <li role="presentation">
            <a href="#addr" aria-controls="addr" role="tab" data-toggle="tab">#{messages['gazelle.pam.LocationInformation']}</a>
        </li>
        <li role="presentation">
            <a href="#pid" aria-controls="pid" role="tab" data-toggle="tab">#{messages['net.ihe.gazelle.PatientManager.PatientIdentifiers']}</a>
        </li>
        <li role="presentation">
            <a href="#extra" aria-controls="extra" role="tab"
               data-toggle="tab">#{messages['gazelle.pam.AdditionalInformations']}</a>
        </li>
        <c:if test="${renderRelationships}">
            <li role="presentation">
                <a href="#relationships" aria-controls="relationships" role="tab"
                   data-toggle="tab">#{messages['net.ihe.gazelle.patientmanager.Relationships']}</a>
            </li>
        </c:if>
        <c:if test="${zfs}">
            <li role="presentation">
                <a href="#legalCareModes" aria-controls="legalCareModes" role="tab"
                   data-toggle="tab">#{messages['gazelle.PAMSimulator.LegalCareModes']}</a>
            </li>
        </c:if>
    </ul>
    <div class="tab-content tab-content-with-border">
        <div role="tabpanel" class="tab-pane active" id="demo">
            <ui:include src="/patient/editAbstractPatientDemographic.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="displayFullDemographics" value="#{true}"/>
                <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
                <ui:param name="renderMothersMaidenName" value="#{not simulatorFeatureDAO.isEPDEnabled()}"/>
            </ui:include>
            <ui:include src="/patient/editPatientExtraDemographics.xhtml"/>
        </div>
        <div role="tabpanel" class="tab-pane" id="addr">
            <ui:include src="/patient/editAbstractPatientAddress.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="managerBean" value="#{managedBean}"/>
                <ui:param name="advancedEdit" value="#{true}"/>
                <ui:param name="codeProvider" value="#{pamDemographicCodeProvider}"/>
            </ui:include>
        </div>
        <div role="tabpanel" class="tab-pane" id="pid">
            <s:div id="patidlist">
                <ui:include src="/patient/patientIdentifiers.xhtml">
                    <ui:param name="patient" value="#{patient}"/>
                </ui:include>
                <s:div rendered="#{allowPidMgmt}" id="addIdDiv">
                    <div class="row">
                        <div class="col-lg-8">
                            <rich:pickList value="#{managedBean.selectedAuthorities}" var="aa"
                                           listWidth="350px" sourceCaption="Available assigning authorities"
                                           targetCaption="Selected assigning authorities" orderable="false">
                                <s:selectItems value="#{managedBean.availableAuthorities}" var="hd"
                                               label="#{hd.displayWithAmp()}"/>
                                <g:column>
                                    <h:outputText value="#{aa.displayWithAmp()}"/>
                                </g:column>
                            </rich:pickList>
                            <br/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.patientmanager.GenerateIdentifiers']}"
                                               actionListener="#{managedBean.generateAdditionalIdentifiers()}"
                                               render="patidlist" styleClass="gzl-btn-green"/>
                        </div>
                    </div>
                </s:div>
            </s:div>
        </div>
        <div role="tabpanel" class="tab-pane" id="extra">
            <ui:include src="/patient/editPatientExtraInfo.xhtml">
                <ui:param name="patient" value="#{patient}"/>
                <ui:param name="managedBean" value="#{managedBean}"/>
            </ui:include>
            <s:div rendered="#{renderZFD}">
                <ui:include src="/fr/_editAdditionalDemograhics.xhtml">
                    <ui:param name="demographics" value="#{patient.additionalDemographics}"/>
                    <ui:param name="zfp" value="#{zfp}"/>
                </ui:include>
            </s:div>
        </div>
        <c:if test="${renderRelationships}">
            <div role="tabpanel" class="tab-pane" id="relationships">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.patientmanager.AddARelationship']}" render="relationDetails"
                                   actionListener="#{managedBean.createNewRelationship()}"
                                   rendered="#{managedBean.currentRelationship == null}"
                                   styleClass="gzl-btn-green"/>
                <s:div id="relationDetails">
                    <gri:panel rendered="#{managedBean.currentRelationship != null}">
                        <f:facet name="header">#{messages['net.ihe.gazelle.patientmanager.NewRelationship']}</f:facet>
                        <ui:include src="/patient/editPerson.xhtml">
                            <ui:param name="currentPerson" value="#{managedBean.currentRelationship}"/>
                        </ui:include>
                        <f:facet name="footer">
                            <a4j:commandButton value="#{messages['gazelle.HL7Common.Back']}"
                                               actionListener="#{managedBean.setCurrentRelationship(null)}"
                                               render="relationDetails"
                                               styleClass="gzl-btn-orange"/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.patientmanager.AddRelation']}"
                                               actionListener="#{managedBean.saveRelationship()}"
                                               render="relationDetails"
                                               styleClass="gzl-btn-green"/>
                        </f:facet>
                    </gri:panel>
                    <!-- do not display the list when we are editing a relationship -->
                    <s:div rendered="#{managedBean.currentRelationship == null}">
                        <a4j:repeat value="#{patient.personalRelationships}" var="currentPerson">
                            <f:subview id="rel#{currentPerson.id}">
                                <ui:include src="/patient/showPerson.xhtml">
                                    <ui:param name="currentPerson" value="#{currentPerson}"/>
                                </ui:include>
                            </f:subview>
                        </a4j:repeat>
                    </s:div>
                </s:div>
            </div>
        </c:if>
        <c:if test="${zfs}">
            <div role="tabpanel" class="tab-pane" id="legalCareModes">
               <ui:include src="/fr/_manageLegalCareModes.xhtml">
                   <ui:param name="managedBean" value="#{managedBean}"/>
               </ui:include>
            </div>
        </c:if>
    </div>
</ui:composition>